import DEFAULT from '@/layouts/default';

export const loginPage = {
  path: '/login',
  name: 'Login',
  component: () => import('@/views/login'),
};

export const homePage = {
  path: '/',
  component: DEFAULT,
  redirect: '/home',
  meta: {
    title: '教材管理',
    icon: 'practice',
  },
  children: [
    {
      path: '/home',
      name: 'Home',
      component: () => import('@/views/home/index.vue'),
    },
  ],
};

export const NotFoundPage = {
  path: '*',
  name: '404',
  component: () => import('@/views/not_found/404.vue'),
};
