import DEFAULT from '@/layouts/default';

/**
 * 课件组件
 */
const CoursewareModulePage = {
  path: '/courseware',
  component: DEFAULT,
  children: [
    {
      path: 'create/:courseware_id',
      component: () => import('@/views/book/courseware/create/index.vue'),
    },
  ],
};

/**
 * 课件预览组件
 */
const PreviewPage = {
  path: '/preview/courseware/:book_id',
  component: () => import('@/views/book/courseware/preview/index.vue'),
};

export default [CoursewareModulePage, PreviewPage];
