import Vue from 'vue';
import Vuex from 'vuex';
import getters from './getters';

import app from './modules/app';
import user from './modules/user';

Vue.use(Vuex);

export default new Vuex.Store({
  state: {},
  mutations: {},
  actions: {},
  modules: {
    app,
    user,
  },
  getters,
  strict: process.env.NODE_ENV === 'development',
});
