import {
  snGenerationMethodList,
  serialNumberTypeList,
  serialNumberPositionList,
} from '@/views/book/courseware/data/common';

export function getLabelData() {
  return {
    type: 'label',
    title: '标签',
    property: {
      serial_number: 1, // 序号
      sn_type: serialNumberTypeList[0].value, // 序号类型：letter字母 number数字  capital大写字母 bracket_number括号数字
      sn_position: serialNumberPositionList[0].value, // 序号位置：top-start top top-end，left-start left left-end等
      sn_generation_method: snGenerationMethodList[0].value, // 序号生成方式：recalculate重新计算 follow 跟随
      sn_style: '', // 序号样式三角形 圆形
      sn_background_color: '', // 序号背景色
      label_color: '随机', // 标签颜色
      label_font: '中文', // 标签字体
    },
  };
}
