import DEFAULT from '@/layouts/default';

export const createBookRouters = [
  // 教材
  {
    path: '/book',
    component: DEFAULT,
    redirect: '/book/create',
    children: [
      {
        path: 'create',
        component: () => import('@/views/book/create.vue'),
      },
      {
        path: 'setting/:book_id',
        component: () => import('@/views/book/setting.vue'),
      },
    ],
  },
  // 章节
  {
    path: '/chapter',
    component: () => import('@/views/book/chapter.vue'),
  },
];
