import AudioPreview from '../audio/AudioPreview.vue';
import DividerPreview from '../divider/DividerPreview.vue';
import SpacingPreview from '../spacing/SpacingPreview.vue';
import PicturePreview from '../picture/PicturePreview.vue';
import VideoPreview from '../video/VideoPreview.vue';
import SelectPreview from '../select/SelectPreview.vue';

export const previewComponentMap = {
  audio: AudioPreview,
  divider: DividerPreview,
  spacing: SpacingPreview,
  picture: PicturePreview,
  video: VideoPreview,
  select: SelectPreview,
};
